# MemberE2ETest

3 tests | 0 failures | 0 ignored | 7.088s duration

100%

successful

- Tests
- Standard output

## Tests

Test | Method name | Duration | Result
--- | --- | --- | ---
잘못된 비밀번호로 로그인 실패 시나리오 | givenInvalidPassword_whenLogin_thenFail() | 0.831s | passed
로그인 성공 시나리오 | givenValidCredentials_whenLogin_thenSuccess() | 4.712s | passed
로그인 후 로그아웃 시나리오 | givenValidToken_whenLogout_thenSuccess() | 1.545s | passed

## Standard output

    23:44:41.828 [Test worker] INFO org.testcontainers.images.PullPolicy -- Image pull policy will be performed by: DefaultPullPolicy()
    23:44:41.844 [Test worker] INFO org.testcontainers.utility.ImageNameSubstitutor -- Image name substitution will be performed by: DefaultImageNameSubstitutor (composite of 'ConfigurationFileImageNameSubstitutor' and 'PrefixingImageNameSubstitutor')
    23:44:41.887 [Test worker] INFO org.testcontainers.DockerClientFactory -- Testcontainers version: 1.20.4
    23:44:42.390 [Test worker] INFO org.testcontainers.dockerclient.DockerClientProviderStrategy -- Loaded org.testcontainers.dockerclient.UnixSocketClientProviderStrategy from ~/.testcontainers.properties, will try it first
    23:44:43.157 [Test worker] INFO org.testcontainers.dockerclient.DockerClientProviderStrategy -- Found Docker environment with local Unix socket (unix:///var/run/docker.sock)
    23:44:43.160 [Test worker] INFO org.testcontainers.DockerClientFactory -- Docker host IP address is localhost
    23:44:43.260 [Test worker] INFO org.testcontainers.DockerClientFactory -- Connected to docker:
      Server Version: 24.0.6
      API Version: 1.43
      Operating System: Docker Desktop
      Total Memory: 5939 MB
    23:44:43.362 [Test worker] INFO tc.testcontainers/ryuk:0.11.0 -- Creating container for image: testcontainers/ryuk:0.11.0
    23:44:45.421 [Test worker] INFO org.testcontainers.utility.RegistryAuthLocator -- Credential helper/store (docker-credential-desktop) does not have credentials for https://index.docker.io/v1/
    23:44:46.230 [Test worker] INFO tc.testcontainers/ryuk:0.11.0 -- Container testcontainers/ryuk:0.11.0 is starting: d5f615c049589516ae3088f80c94d19baf33f598b5b53fe14679e6dc2a1abdba
    23:44:47.698 [Test worker] INFO tc.testcontainers/ryuk:0.11.0 -- Container testcontainers/ryuk:0.11.0 started in PT4.335402S
    23:44:47.722 [Test worker] INFO org.testcontainers.utility.RyukResourceReaper -- Ryuk started - will monitor and terminate Testcontainers containers on JVM exit
    23:44:47.722 [Test worker] INFO org.testcontainers.DockerClientFactory -- Checking the system...
    23:44:47.723 [Test worker] INFO org.testcontainers.DockerClientFactory -- ✔︎ Docker server version should be at least 1.6.0
    23:44:47.727 [Test worker] INFO tc.postgres:13.2-alpine -- Creating container for image: postgres:13.2-alpine
    23:44:47.799 [Test worker] INFO tc.postgres:13.2-alpine -- Container postgres:13.2-alpine is starting: 0a657bb368f3a227c03cbb2512a570076d5a2a107df5e3bae473d7dd1b7738b3
    23:44:50.341 [Test worker] INFO tc.postgres:13.2-alpine -- Container postgres:13.2-alpine started in PT2.613914S
    23:44:50.354 [Test worker] INFO tc.postgres:13.2-alpine -- Container is started (JDBC URL: jdbc:postgresql://localhost:58649/testdb?loggerLevel=OFF)
    23:44:50.806 [Test worker] INFO org.springframework.test.context.support.AnnotationConfigContextLoaderUtils -- Could not detect default configuration classes for test class [com.unicorn.lifesub.member.test.e2e.MemberE2ETest]: MemberE2ETest does not declare any static, non-private, non-final, nested classes annotated with @Configuration.
    23:44:51.293 [Test worker] INFO org.springframework.boot.test.context.SpringBootTestContextBootstrapper -- Found @SpringBootConfiguration com.unicorn.lifesub.member.MemberApplication for test class com.unicorn.lifesub.member.test.e2e.MemberE2ETest

      .   ____          _            __ _ _
     /\\ / ___'_ __ _ _(_)_ __  __ _ \ \ \ \
    ( ( )\___ | '_ | '_| | '_ \/ _` | \ \ \ \
     \\/  ___)| |_)| | | | | || (_| |  ) ) ) )
      '  |____| .__|_| |_|_| |_\__, | / / / /
     =========|_|==============|___/=/_/_/_/

     :: Spring Boot ::                (v3.4.0)

    2025-02-14T23:44:53.657+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.l.member.test.e2e.MemberE2ETest      : Starting MemberE2ETest using Java 18.0.2 with PID 99945 (started by ondal in /Users/ondal/home/workspace/lifesub/member)
    2025-02-14T23:44:53.700+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] c.u.l.member.test.e2e.MemberE2ETest      : Running with Spring Boot v3.4.0, Spring v6.2.0
    2025-02-14T23:44:53.726+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.l.member.test.e2e.MemberE2ETest      : The following 1 profile is active: "e2e-test"
    2025-02-14T23:44:59.555+09:00  INFO 99945 --- [member-service-test] [    Test worker] .s.d.r.c.RepositoryConfigurationDelegate : Bootstrapping Spring Data JPA repositories in DEFAULT mode.
    2025-02-14T23:45:01.133+09:00  INFO 99945 --- [member-service-test] [    Test worker] .s.d.r.c.RepositoryConfigurationDelegate : Finished Spring Data repository scanning in 1502 ms. Found 1 JPA repository interface.
    2025-02-14T23:45:11.432+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.s.b.w.embedded.tomcat.TomcatWebServer  : Tomcat initialized with port 0 (http)
    2025-02-14T23:45:11.474+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.apache.catalina.core.StandardService   : Starting service [Tomcat]
    2025-02-14T23:45:11.475+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.apache.catalina.core.StandardEngine    : Starting Servlet engine: [Apache Tomcat/10.1.33]
    2025-02-14T23:45:11.741+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.a.c.c.C.[Tomcat].[localhost].[/]       : Initializing Spring embedded WebApplicationContext
    2025-02-14T23:45:11.750+09:00  INFO 99945 --- [member-service-test] [    Test worker] w.s.c.ServletWebServerApplicationContext : Root WebApplicationContext: initialization completed in 17878 ms
    2025-02-14T23:45:12.567+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.hibernate.jpa.internal.util.LogHelper  : HHH000204: Processing PersistenceUnitInfo [name: default]
    2025-02-14T23:45:12.705+09:00  INFO 99945 --- [member-service-test] [    Test worker] org.hibernate.Version                    : HHH000412: Hibernate ORM core version 6.6.2.Final
    2025-02-14T23:45:12.800+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.h.c.internal.RegionFactoryInitiator    : HHH000026: Second-level cache disabled
    2025-02-14T23:45:13.788+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.s.o.j.p.SpringPersistenceUnitInfo      : No LoadTimeWeaver setup: ignoring JPA class transformer
    2025-02-14T23:45:14.089+09:00  INFO 99945 --- [member-service-test] [    Test worker] com.zaxxer.hikari.HikariDataSource       : HikariPool-1 - Starting...
    2025-02-14T23:45:14.541+09:00  INFO 99945 --- [member-service-test] [    Test worker] com.zaxxer.hikari.pool.HikariPool        : HikariPool-1 - Added connection org.postgresql.jdbc.PgConnection@70a91d72
    2025-02-14T23:45:14.547+09:00  INFO 99945 --- [member-service-test] [    Test worker] com.zaxxer.hikari.HikariDataSource       : HikariPool-1 - Start completed.
    2025-02-14T23:45:14.627+09:00  WARN 99945 --- [member-service-test] [    Test worker] org.hibernate.orm.deprecation            : HHH90000025: PostgreSQLDialect does not need to be specified explicitly using 'hibernate.dialect' (remove the property setting and it will be selected by default)
    2025-02-14T23:45:14.739+09:00  INFO 99945 --- [member-service-test] [    Test worker] org.hibernate.orm.connections.pooling    : HHH10001005: Database info:
    	Database JDBC URL [Connecting through datasource 'HikariDataSource (HikariPool-1)']
    	Database driver: undefined/unknown
    	Database version: 13.2
    	Autocommit mode: undefined/unknown
    	Isolation level: undefined/unknown
    	Minimum pool size: undefined/unknown
    	Maximum pool size: undefined/unknown
    2025-02-14T23:45:17.528+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.h.e.t.j.p.i.JtaPlatformInitiator       : HHH000489: No JTA platform available (set 'hibernate.transaction.jta.platform' to enable JTA platform integration)
    2025-02-14T23:45:17.558+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        set client_min_messages = WARNING
    Hibernate:
        set client_min_messages = WARNING
    2025-02-14T23:45:17.577+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        alter table if exists member_roles
           drop constraint if exists FKkrahbaoj05n0hyabejnnrmft
    Hibernate:
        alter table if exists member_roles
           drop constraint if exists FKkrahbaoj05n0hyabejnnrmft
    2025-02-14T23:45:17.585+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        drop table if exists member_roles cascade
    Hibernate:
        drop table if exists member_roles cascade
    2025-02-14T23:45:17.587+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        drop table if exists members cascade
    Hibernate:
        drop table if exists members cascade
    2025-02-14T23:45:17.597+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        create table member_roles (
            role varchar(255),
            user_id varchar(255) not null
        )
    Hibernate:
        create table member_roles (
            role varchar(255),
            user_id varchar(255) not null
        )
    2025-02-14T23:45:17.626+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        create table members (
            created_at timestamp(6),
            updated_at timestamp(6),
            password varchar(255) not null,
            user_id varchar(255) not null,
            user_name varchar(255) not null,
            primary key (user_id)
        )
    Hibernate:
        create table members (
            created_at timestamp(6),
            updated_at timestamp(6),
            password varchar(255) not null,
            user_id varchar(255) not null,
            user_name varchar(255) not null,
            primary key (user_id)
        )
    2025-02-14T23:45:17.639+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        alter table if exists member_roles
           add constraint FKkrahbaoj05n0hyabejnnrmft
           foreign key (user_id)
           references members
    Hibernate:
        alter table if exists member_roles
           add constraint FKkrahbaoj05n0hyabejnnrmft
           foreign key (user_id)
           references members
    2025-02-14T23:45:17.657+09:00  INFO 99945 --- [member-service-test] [    Test worker] j.LocalContainerEntityManagerFactoryBean : Initialized JPA EntityManagerFactory for persistence unit 'default'
    2025-02-14T23:45:19.918+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] SecurityConfig$$SpringCGLIB$$0.passwordEncoder - Args: []
    2025-02-14T23:45:19.938+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] SecurityConfig$$SpringCGLIB$$0.passwordEncoder - Result: org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder@138c2ba
    2025-02-14T23:45:20.914+09:00  WARN 99945 --- [member-service-test] [    Test worker] JpaBaseConfiguration$JpaWebConfiguration : spring.jpa.open-in-view is enabled by default. Therefore, database queries may be performed during view rendering. Explicitly configure spring.jpa.open-in-view to disable this warning
    2025-02-14T23:45:21.025+09:00  INFO 99945 --- [member-service-test] [    Test worker] r$InitializeUserDetailsManagerConfigurer : Global AuthenticationManager configured with UserDetailsService bean with name customUserDetailsService
    2025-02-14T23:45:24.285+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] SecurityConfig$$SpringCGLIB$$0.securityFilterChain - Args: [org.springframework.security.config.annotation.web.builders.HttpSecurity@705606]
    2025-02-14T23:45:24.304+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] SecurityConfig$$SpringCGLIB$$0.corsConfigurationSource - Args: []
    2025-02-14T23:45:24.306+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] SecurityConfig$$SpringCGLIB$$0.corsConfigurationSource - Result: org.springframework.web.cors.UrlBasedCorsConfigurationSource@48515dfc
    2025-02-14T23:45:24.594+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] SecurityConfig$$SpringCGLIB$$0.securityFilterChain - Result: DefaultSecurityFilterChain matching [any request] and having filters [DisableEncodeUrl, WebAsyncManagerIntegration, SecurityContextHolder, HeaderWriter, Cors, Logout, JwtAuthentication, RequestCacheAware, SecurityContextHolderAwareRequest, AnonymousAuthentication, SessionManagement, ExceptionTranslation, Authorization]
    2025-02-14T23:45:24.732+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] SecurityConfig$$SpringCGLIB$$0.authenticationManager - Args: [org.springframework.security.config.annotation.authentication.configuration.AuthenticationConfiguration@4f0918]
    2025-02-14T23:45:24.732+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] SecurityConfig$$SpringCGLIB$$0.authenticationManager - Result: org.springframework.security.authentication.ProviderManager@1928930
    2025-02-14T23:45:24.735+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] SwaggerConfig$$SpringCGLIB$$0.openAPI - Args: []
    2025-02-14T23:45:24.738+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] SwaggerConfig$$SpringCGLIB$$0.openAPI - Result: class OpenAPI {
        openapi: 3.0.1
        info: class Info {
            title: 회원 서비스 API
            description: 회원 서비스 API 명세서입니다.
            summary: null
            termsOfService: null
            contact: null
            license: null
            version: v1.0.0
        }
        externalDocs: null
        servers: null
        security: null
        tags: null
        paths: null
        components: null
    }
    2025-02-14T23:45:27.836+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.s.b.w.embedded.tomcat.TomcatWebServer  : Tomcat started on port 58665 (http) with context path '/'
    2025-02-14T23:45:27.890+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.l.member.test.e2e.MemberE2ETest      : Started MemberE2ETest in 36.261 seconds (process running for 50.71)
    2025-02-14T23:45:27.936+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] DataLoader.run - Args: [[Ljava.lang.String;@43ac0a]
    2025-02-14T23:45:27.987+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.count - Args: []
    2025-02-14T23:45:28.965+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            count(*)
        from
            members me1_0
    Hibernate:
        select
            count(*)
        from
            members me1_0
    2025-02-14T23:45:29.058+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.count - Result: 0
    2025-02-14T23:45:29.307+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@422ecb]
    2025-02-14T23:45:29.354+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:29.489+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@35188cd2
    2025-02-14T23:45:29.493+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@76d112]
    2025-02-14T23:45:29.496+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:29.505+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@1305f8e3
    2025-02-14T23:45:29.507+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@3b6a4b]
    2025-02-14T23:45:29.509+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:29.514+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@4ba39ece
    2025-02-14T23:45:29.515+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@50d3db]
    2025-02-14T23:45:29.517+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:29.526+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@795239f9
    2025-02-14T23:45:29.526+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@e5a65]
    2025-02-14T23:45:29.529+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:29.534+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@41d73414
    2025-02-14T23:45:29.536+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@2f498]
    2025-02-14T23:45:29.536+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:29.540+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@315449e6
    2025-02-14T23:45:29.541+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@6e1949]
    2025-02-14T23:45:29.547+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:29.555+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@1b6d0ee9
    2025-02-14T23:45:29.558+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@612d37]
    2025-02-14T23:45:29.561+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:29.565+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@6e25ae24
    2025-02-14T23:45:29.565+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@20e27a]
    2025-02-14T23:45:29.566+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:29.571+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@3664d285
    2025-02-14T23:45:29.575+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@465777]
    2025-02-14T23:45:29.579+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:29.584+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@510af8e4
    2025-02-14T23:45:29.585+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] DataLoader.run - Result: null
    2025-02-14T23:45:29.619+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:29.649+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:29.659+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:29.674+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:29.699+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:29.719+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:29.736+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:29.768+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:29.784+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:29.796+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:29.834+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:29.885+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:29.892+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:29.908+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:29.914+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:29.918+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:29.923+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:29.928+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:29.940+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:29.947+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:32.579+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.a.c.c.C.[Tomcat].[localhost].[/]       : Initializing Spring TestDispatcherServlet ''
    2025-02-14T23:45:32.582+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.s.t.web.servlet.TestDispatcherServlet  : Initializing Servlet ''
    2025-02-14T23:45:32.589+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.s.t.web.servlet.TestDispatcherServlet  : Completed initialization in 6 ms
    2025-02-14T23:45:32.612+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.deleteAll - Args: []
    2025-02-14T23:45:32.666+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
    2025-02-14T23:45:32.699+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:32.705+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:32.708+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:32.711+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:32.715+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:32.723+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:32.727+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:32.731+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:32.741+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:32.744+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:32.766+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            member_roles
        where
            user_id=?
    Hibernate:
        delete
        from
            member_roles
        where
            user_id=?
    2025-02-14T23:45:32.772+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            member_roles
        where
            user_id=?
    Hibernate:
        delete
        from
            member_roles
        where
            user_id=?
    2025-02-14T23:45:32.774+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            member_roles
        where
            user_id=?
    Hibernate:
        delete
        from
            member_roles
        where
            user_id=?
    2025-02-14T23:45:32.776+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            member_roles
        where
            user_id=?
    Hibernate:
        delete
        from
            member_roles
        where
            user_id=?
    2025-02-14T23:45:32.778+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            member_roles
        where
            user_id=?
    Hibernate:
        delete
        from
            member_roles
        where
            user_id=?
    2025-02-14T23:45:32.780+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            member_roles
        where
            user_id=?
    Hibernate:
        delete
        from
            member_roles
        where
            user_id=?
    2025-02-14T23:45:32.781+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            member_roles
        where
            user_id=?
    Hibernate:
        delete
        from
            member_roles
        where
            user_id=?
    2025-02-14T23:45:32.783+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            member_roles
        where
            user_id=?
    Hibernate:
        delete
        from
            member_roles
        where
            user_id=?
    2025-02-14T23:45:32.786+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            member_roles
        where
            user_id=?
    Hibernate:
        delete
        from
            member_roles
        where
            user_id=?
    2025-02-14T23:45:32.788+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            member_roles
        where
            user_id=?
    Hibernate:
        delete
        from
            member_roles
        where
            user_id=?
    2025-02-14T23:45:32.793+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            members
        where
            user_id=?
    Hibernate:
        delete
        from
            members
        where
            user_id=?
    2025-02-14T23:45:32.798+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            members
        where
            user_id=?
    Hibernate:
        delete
        from
            members
        where
            user_id=?
    2025-02-14T23:45:32.802+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            members
        where
            user_id=?
    Hibernate:
        delete
        from
            members
        where
            user_id=?
    2025-02-14T23:45:32.804+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            members
        where
            user_id=?
    Hibernate:
        delete
        from
            members
        where
            user_id=?
    2025-02-14T23:45:32.808+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            members
        where
            user_id=?
    Hibernate:
        delete
        from
            members
        where
            user_id=?
    2025-02-14T23:45:32.811+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            members
        where
            user_id=?
    Hibernate:
        delete
        from
            members
        where
            user_id=?
    2025-02-14T23:45:32.814+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            members
        where
            user_id=?
    Hibernate:
        delete
        from
            members
        where
            user_id=?
    2025-02-14T23:45:32.820+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            members
        where
            user_id=?
    Hibernate:
        delete
        from
            members
        where
            user_id=?
    2025-02-14T23:45:32.821+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            members
        where
            user_id=?
    Hibernate:
        delete
        from
            members
        where
            user_id=?
    2025-02-14T23:45:32.823+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            members
        where
            user_id=?
    Hibernate:
        delete
        from
            members
        where
            user_id=?
    2025-02-14T23:45:32.826+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.deleteAll - Result: null
    2025-02-14T23:45:32.829+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] TestDataManager.setupTestData - Args: []
    2025-02-14T23:45:32.829+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.count - Args: []
    2025-02-14T23:45:32.836+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            count(*)
        from
            members me1_0
    Hibernate:
        select
            count(*)
        from
            members me1_0
    2025-02-14T23:45:32.842+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.count - Result: 0
    2025-02-14T23:45:32.987+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@6b7d46]
    2025-02-14T23:45:32.988+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:32.994+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@45dbf4f6
    2025-02-14T23:45:33.140+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@b17f]
    2025-02-14T23:45:33.142+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:33.150+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@3b8f7c0b
    2025-02-14T23:45:33.151+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] TestDataManager.setupTestData - Result: null
    2025-02-14T23:45:33.152+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:33.156+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:33.169+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:33.173+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:33.461+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] JwtTokenProvider.resolveToken - Args: [org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@1f2eb3]
    2025-02-14T23:45:33.462+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] JwtTokenProvider.resolveToken - Result: null
    2025-02-14T23:45:34.042+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] MemberController.login - Args: [com.unicorn.lifesub.member.dto.LoginRequest@7f3964]
    2025-02-14T23:45:34.085+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] MemberServiceImpl.login - Args: [com.unicorn.lifesub.member.dto.LoginRequest@7f3964]
    2025-02-14T23:45:34.110+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.findByUserId - Args: [testuser]
    2025-02-14T23:45:34.183+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    2025-02-14T23:45:34.200+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:34.213+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.findByUserId - Result: Optional[com.unicorn.lifesub.member.repository.entity.MemberEntity@1d95957c]
    2025-02-14T23:45:34.392+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] JwtTokenProvider.createToken - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@1d95957c1 elements]
    2025-02-14T23:45:34.429+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] JwtTokenProvider.createToken - Result: com.unicorn.lifesub.common.dto.JwtTokenDTO@49c15ad2
    2025-02-14T23:45:34.429+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] MemberServiceImpl.login - Result: com.unicorn.lifesub.common.dto.JwtTokenDTO@49c15ad2
    2025-02-14T23:45:34.443+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] MemberController.login - Result: <200 OK OK,com.unicorn.lifesub.common.dto.ApiResponse@3d2bb013,[]>
    2025-02-14T23:45:35.069+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.a.c.c.C.[Tomcat].[localhost].[/]       : Initializing Spring TestDispatcherServlet ''
    2025-02-14T23:45:35.072+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.s.t.web.servlet.TestDispatcherServlet  : Initializing Servlet ''
    2025-02-14T23:45:35.080+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.s.t.web.servlet.TestDispatcherServlet  : Completed initialization in 7 ms
    2025-02-14T23:45:35.082+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.deleteAll - Args: []
    2025-02-14T23:45:35.102+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
    2025-02-14T23:45:35.123+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:35.138+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:35.149+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            member_roles
        where
            user_id=?
    Hibernate:
        delete
        from
            member_roles
        where
            user_id=?
    2025-02-14T23:45:35.162+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            member_roles
        where
            user_id=?
    Hibernate:
        delete
        from
            member_roles
        where
            user_id=?
    2025-02-14T23:45:35.171+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            members
        where
            user_id=?
    Hibernate:
        delete
        from
            members
        where
            user_id=?
    2025-02-14T23:45:35.176+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            members
        where
            user_id=?
    Hibernate:
        delete
        from
            members
        where
            user_id=?
    2025-02-14T23:45:35.189+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.deleteAll - Result: null
    2025-02-14T23:45:35.196+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] TestDataManager.setupTestData - Args: []
    2025-02-14T23:45:35.198+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.count - Args: []
    2025-02-14T23:45:35.203+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            count(*)
        from
            members me1_0
    Hibernate:
        select
            count(*)
        from
            members me1_0
    2025-02-14T23:45:35.211+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.count - Result: 0
    2025-02-14T23:45:35.492+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@627b9f]
    2025-02-14T23:45:35.551+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:35.604+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@18596d47
    2025-02-14T23:45:35.828+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@2eedd5]
    2025-02-14T23:45:35.830+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:35.836+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@479875b1
    2025-02-14T23:45:35.837+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] TestDataManager.setupTestData - Result: null
    2025-02-14T23:45:35.854+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:35.869+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:35.874+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:35.877+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:35.952+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] JwtTokenProvider.resolveToken - Args: [org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@51971d]
    2025-02-14T23:45:35.953+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] JwtTokenProvider.resolveToken - Result: null
    2025-02-14T23:45:35.982+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] MemberController.login - Args: [com.unicorn.lifesub.member.dto.LoginRequest@435ec7]
    2025-02-14T23:45:35.983+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] MemberServiceImpl.login - Args: [com.unicorn.lifesub.member.dto.LoginRequest@435ec7]
    2025-02-14T23:45:35.984+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.findByUserId - Args: [testuser]
    2025-02-14T23:45:36.003+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    2025-02-14T23:45:36.021+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:36.030+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.findByUserId - Result: Optional[com.unicorn.lifesub.member.repository.entity.MemberEntity@6e0c5743]
    2025-02-14T23:45:36.223+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] JwtTokenProvider.createToken - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@6e0c57431 elements]
    2025-02-14T23:45:36.233+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] JwtTokenProvider.createToken - Result: com.unicorn.lifesub.common.dto.JwtTokenDTO@21f9c71e
    2025-02-14T23:45:36.233+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] MemberServiceImpl.login - Result: com.unicorn.lifesub.common.dto.JwtTokenDTO@21f9c71e
    2025-02-14T23:45:36.240+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] MemberController.login - Result: <200 OK OK,com.unicorn.lifesub.common.dto.ApiResponse@2dc33a2d,[]>
    2025-02-14T23:45:36.290+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] JwtTokenProvider.resolveToken - Args: [org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@558035]
    2025-02-14T23:45:36.292+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] JwtTokenProvider.resolveToken - Result: eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ0ZXN0dXNlciIsInVzZXJJZCI6InRlc3R1c2VyIiwidXNlck5hbWUiOiJUZXN0IFVzZXIiLCJhdXRoIjpbIlVTRVIiXSwiaWF0IjoxNzM5NTQ0MzM2LCJleHAiOjE3NDMxNDQzMzZ9.KWCTsQpWoPJKfkLLLXWx9xZDahc-dKAGWlt9DS_rrK01jBsqz9dka5l346jf1XCtEfV-4hkRqP0rMI-znOia6A
    2025-02-14T23:45:36.329+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] JwtTokenProvider.validateToken - Args: [eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ0ZXN0dXNlciIsInVzZXJJZCI6InRlc3R1c2VyIiwidXNlck5hbWUiOiJUZXN0IFVzZXIiLCJhdXRoIjpbIlVTRVIiXSwiaWF0IjoxNzM5NTQ0MzM2LCJleHAiOjE3NDMxNDQzMzZ9.KWCTsQpWoPJKfkLLLXWx9xZDahc-dKAGWlt9DS_rrK01jBsqz9dka5l346jf1XCtEfV-4hkRqP0rMI-znOia6A]
    2025-02-14T23:45:36.331+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.l.m.config.jwt.JwtTokenProvider      : ******** validateToken: eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ0ZXN0dXNlciIsInVzZXJJZCI6InRlc3R1c2VyIiwidXNlck5hbWUiOiJUZXN0IFVzZXIiLCJhdXRoIjpbIlVTRVIiXSwiaWF0IjoxNzM5NTQ0MzM2LCJleHAiOjE3NDMxNDQzMzZ9.KWCTsQpWoPJKfkLLLXWx9xZDahc-dKAGWlt9DS_rrK01jBsqz9dka5l346jf1XCtEfV-4hkRqP0rMI-znOia6A
    2025-02-14T23:45:36.428+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] JwtTokenProvider.validateToken - Result: 1
    2025-02-14T23:45:36.444+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] JwtTokenProvider.getAuthentication - Args: [eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ0ZXN0dXNlciIsInVzZXJJZCI6InRlc3R1c2VyIiwidXNlck5hbWUiOiJUZXN0IFVzZXIiLCJhdXRoIjpbIlVTRVIiXSwiaWF0IjoxNzM5NTQ0MzM2LCJleHAiOjE3NDMxNDQzMzZ9.KWCTsQpWoPJKfkLLLXWx9xZDahc-dKAGWlt9DS_rrK01jBsqz9dka5l346jf1XCtEfV-4hkRqP0rMI-znOia6A]
    2025-02-14T23:45:36.456+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] JwtTokenProvider.getAuthentication - Result: UsernamePasswordAuthenticationToken [Principal=org.springframework.security.core.userdetails.User [Username=testuser, Password=[PROTECTED], Enabled=true, AccountNonExpired=true, CredentialsNonExpired=true, AccountNonLocked=true, Granted Authorities=[USER]], Credentials=[PROTECTED], Authenticated=true, Details=null, Granted Authorities=[USER]]
    2025-02-14T23:45:36.495+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] MemberController.logout - Args: [com.unicorn.lifesub.member.dto.LogoutRequest@28fc71]
    2025-02-14T23:45:36.504+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] MemberServiceImpl.logout - Args: [com.unicorn.lifesub.member.dto.LogoutRequest@28fc71]
    2025-02-14T23:45:36.508+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] MemberServiceImpl.logout - Result: com.unicorn.lifesub.member.dto.LogoutResponse@5d88471a
    2025-02-14T23:45:36.510+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] MemberController.logout - Result: <200 OK OK,com.unicorn.lifesub.common.dto.ApiResponse@6a4fb518,[]>
    2025-02-14T23:45:36.666+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.a.c.c.C.[Tomcat].[localhost].[/]       : Initializing Spring TestDispatcherServlet ''
    2025-02-14T23:45:36.670+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.s.t.web.servlet.TestDispatcherServlet  : Initializing Servlet ''
    2025-02-14T23:45:36.759+09:00  INFO 99945 --- [member-service-test] [    Test worker] o.s.t.web.servlet.TestDispatcherServlet  : Completed initialization in 85 ms
    2025-02-14T23:45:36.769+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.deleteAll - Args: []
    2025-02-14T23:45:36.808+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
    2025-02-14T23:45:36.861+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:36.865+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:36.870+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            member_roles
        where
            user_id=?
    Hibernate:
        delete
        from
            member_roles
        where
            user_id=?
    2025-02-14T23:45:36.872+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            member_roles
        where
            user_id=?
    Hibernate:
        delete
        from
            member_roles
        where
            user_id=?
    2025-02-14T23:45:36.875+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            members
        where
            user_id=?
    Hibernate:
        delete
        from
            members
        where
            user_id=?
    2025-02-14T23:45:36.879+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        delete
        from
            members
        where
            user_id=?
    Hibernate:
        delete
        from
            members
        where
            user_id=?
    2025-02-14T23:45:36.886+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.deleteAll - Result: null
    2025-02-14T23:45:36.887+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] TestDataManager.setupTestData - Args: []
    2025-02-14T23:45:36.888+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.count - Args: []
    2025-02-14T23:45:36.889+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            count(*)
        from
            members me1_0
    Hibernate:
        select
            count(*)
        from
            members me1_0
    2025-02-14T23:45:36.893+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.count - Result: 0
    2025-02-14T23:45:37.082+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@38dc32]
    2025-02-14T23:45:37.085+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:37.090+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@599fde55
    2025-02-14T23:45:37.250+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.save - Args: [com.unicorn.lifesub.member.repository.entity.MemberEntity@34f344]
    2025-02-14T23:45:37.253+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            r1_0.user_id,
            r1_0.role,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        left join
            member_roles r1_0
                on me1_0.user_id=r1_0.user_id
        where
            me1_0.user_id=?
    2025-02-14T23:45:37.258+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.save - Result: com.unicorn.lifesub.member.repository.entity.MemberEntity@2b686050
    2025-02-14T23:45:37.258+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] TestDataManager.setupTestData - Result: null
    2025-02-14T23:45:37.262+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:37.266+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    Hibernate:
        insert
        into
            members
            (created_at, password, updated_at, user_name, user_id)
        values
            (?, ?, ?, ?, ?)
    2025-02-14T23:45:37.268+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:37.270+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    Hibernate:
        insert
        into
            member_roles
            (user_id, role)
        values
            (?, ?)
    2025-02-14T23:45:37.278+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] JwtTokenProvider.resolveToken - Args: [org.springframework.security.web.header.HeaderWriterFilter$HeaderWriterRequest@8b5de]
    2025-02-14T23:45:37.278+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] JwtTokenProvider.resolveToken - Result: null
    2025-02-14T23:45:37.283+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] MemberController.login - Args: [com.unicorn.lifesub.member.dto.LoginRequest@1dba3c]
    2025-02-14T23:45:37.284+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] MemberServiceImpl.login - Args: [com.unicorn.lifesub.member.dto.LoginRequest@1dba3c]
    2025-02-14T23:45:37.284+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [START] $Proxy190.findByUserId - Args: [testuser]
    2025-02-14T23:45:37.286+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    Hibernate:
        select
            me1_0.user_id,
            me1_0.created_at,
            me1_0.password,
            me1_0.updated_at,
            me1_0.user_name
        from
            members me1_0
        where
            me1_0.user_id=?
    2025-02-14T23:45:37.290+09:00 DEBUG 99945 --- [member-service-test] [    Test worker] org.hibernate.SQL                        :
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    Hibernate:
        select
            r1_0.user_id,
            r1_0.role
        from
            member_roles r1_0
        where
            r1_0.user_id=?
    2025-02-14T23:45:37.293+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] $Proxy190.findByUserId - Result: Optional[com.unicorn.lifesub.member.repository.entity.MemberEntity@7a8ea]
    2025-02-14T23:45:37.442+09:00 ERROR 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [EXCEPTION] MemberServiceImpl.login - Exception: Invalid credentials
    2025-02-14T23:45:37.450+09:00  INFO 99945 --- [member-service-test] [    Test worker] c.u.lifesub.common.aop.LoggingAspect     : [END] MemberController.login - Result: <401 UNAUTHORIZED Unauthorized,com.unicorn.lifesub.common.dto.ApiResponse@58cce034,[]>